[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.OnTopLeftChanged

Event handler signalled when the top left cell in the visible area of the control is changed.

## Declaration

Source position: grids.pas line 1315

`protected property TCustomGrid.OnTopLeftChanged : TNotifyEvent read FOnTopLeftChanged write FOnTopLeftChanged;`

## Description

Signalled (when assigned) from the TopLeftChanged method. It occurs when the origin cell is changed when the grid is scrolled, when the value in AutoFillColumns is changed to True, or when the position for the cell editor is updated.

## See also

TCustomGrid.TopLeftChanged |  | Signals the OnTopLeftChanged event handler (when assigned) at run-time.
TCustomGrid.AutoFillColumns |  | Indicates whether columns are automatically resized to fill the visible area in the grid.